
// Workaround to access protected functions
#ifndef protected
#  define protected public
#endif

// default includes
#include <shiboken.h>
#include <sbkpep.h>
#include <sbkpepbuffer.h>

#define PYSIDE6_COMOPT_COMPRESS 1

#ifndef QT_NO_VERSION_TAGGING
#  define QT_NO_VERSION_TAGGING
#endif
#include <QtCore/QDebug>
#include <pysideqobject.h>
#include <pysidesignal.h>
#include <pysideproperty.h>
#include <signalmanager.h>
#include <pysidemetafunction.h>
#include <pysideqenum.h>
#include <pysideutils.h>
#include <feature_select.h>
QT_WARNING_DISABLE_DEPRECATED


// module include
#include "akonadicore_python.h"

// main header
#include "akonadi_agentinstancefilterproxymodel_wrapper.h"

// Wrappers providing overrides
#include "akonadi_trashfilterproxymodel_wrapper.h"

// Argument includes
#include <QHash>
#include <QList>
#include <QMap>
#include <QString>
#include <QStringList>
#include <accountactivitiesabstract.h>
#include <qabstractitemmodel.h>
#include <qbytearray.h>
#include <qmetaobject.h>
#include <qnamespace.h>
#include <qobject.h>
#include <qobjectdefs.h>
#include <qsize.h>
#include <qvariant.h>

#include <cctype>
#include <cstring>
#include <iterator>
#include <type_traits>
#include <typeinfo>

using namespace Akonadi;

extern "C" {
static PyTypeObject *Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(void)
{
    return SbkAkonadiCoreTypeStructs[SBK_Akonadi_AgentInstanceFilterProxyModel_IDX].type;
}
} // extern "C"

// Native ---------------------------------------------------------

void AgentInstanceFilterProxyModelWrapper::resetPyMethodCache()
{
    std::fill(m_PyMethodCache.begin(), m_PyMethodCache.end(), nullptr);
}

AgentInstanceFilterProxyModelWrapper::AgentInstanceFilterProxyModelWrapper(::QObject * parent) : Akonadi::AgentInstanceFilterProxyModel(parent)
{
}

::QModelIndex AgentInstanceFilterProxyModelWrapper::buddy(const ::QModelIndex & index) const
{
    static const char *funcName = "buddy";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[0], nameCache));
    if (pyOverride.isNull()) {
        return this->::QSortFilterProxyModel::buddy(index);
    }
    return TrashFilterProxyModelWrapper::sbk_o_buddy("AgentInstanceFilterProxyModel", funcName, gil, pyOverride, index);
}

bool AgentInstanceFilterProxyModelWrapper::canDropMimeData(const ::QMimeData * data, ::Qt::DropAction action, int row, int column, const ::QModelIndex & parent) const
{
    static const char *funcName = "canDropMimeData";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[1], nameCache));
    if (pyOverride.isNull()) {
        return this->::QAbstractProxyModel::canDropMimeData(data, action, row, column, parent);
    }
    return TrashFilterProxyModelWrapper::sbk_o_canDropMimeData("AgentInstanceFilterProxyModel", funcName, gil, pyOverride, data, action, row, column, parent);
}

bool AgentInstanceFilterProxyModelWrapper::canFetchMore(const ::QModelIndex & parent) const
{
    static const char *funcName = "canFetchMore";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[2], nameCache));
    if (pyOverride.isNull()) {
        return this->::QSortFilterProxyModel::canFetchMore(parent);
    }
    return TrashFilterProxyModelWrapper::sbk_o_canFetchMore("AgentInstanceFilterProxyModel", funcName, gil, pyOverride, parent);
}

void AgentInstanceFilterProxyModelWrapper::childEvent(::QChildEvent * event)
{
    static const char *funcName = "childEvent";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[3], nameCache));
    if (pyOverride.isNull()) {
        return this->::QObject::childEvent(event);
    }
    TrashFilterProxyModelWrapper::sbk_o_childEvent("AgentInstanceFilterProxyModel", funcName, gil, pyOverride, event);
}

bool AgentInstanceFilterProxyModelWrapper::clearItemData(const ::QModelIndex & index)
{
    static const char *funcName = "clearItemData";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[4], nameCache));
    if (pyOverride.isNull()) {
        return this->::QAbstractProxyModel::clearItemData(index);
    }
    return TrashFilterProxyModelWrapper::sbk_o_canFetchMore("AgentInstanceFilterProxyModel", funcName, gil, pyOverride, index);
}

int AgentInstanceFilterProxyModelWrapper::columnCount(const ::QModelIndex & parent) const
{
    static const char *funcName = "columnCount";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[5], nameCache));
    if (pyOverride.isNull()) {
        return this->::QSortFilterProxyModel::columnCount(parent);
    }
    return TrashFilterProxyModelWrapper::sbk_o_columnCount("AgentInstanceFilterProxyModel", funcName, gil, pyOverride, parent);
}

void AgentInstanceFilterProxyModelWrapper::connectNotify(const ::QMetaMethod & signal)
{
    static const char *funcName = "connectNotify";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[6], nameCache));
    if (pyOverride.isNull()) {
        return this->::QObject::connectNotify(signal);
    }
    TrashFilterProxyModelWrapper::sbk_o_connectNotify("AgentInstanceFilterProxyModel", funcName, gil, pyOverride, signal);
}

void AgentInstanceFilterProxyModelWrapper::customEvent(::QEvent * event)
{
    static const char *funcName = "customEvent";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[7], nameCache));
    if (pyOverride.isNull()) {
        return this->::QObject::customEvent(event);
    }
    TrashFilterProxyModelWrapper::sbk_o_customEvent("AgentInstanceFilterProxyModel", funcName, gil, pyOverride, event);
}

::QVariant AgentInstanceFilterProxyModelWrapper::data(const ::QModelIndex & index, int role) const
{
    static const char *funcName = "data";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[8], nameCache));
    if (pyOverride.isNull()) {
        return this->::QSortFilterProxyModel::data(index, role);
    }
    return TrashFilterProxyModelWrapper::sbk_o_data("AgentInstanceFilterProxyModel", funcName, gil, pyOverride, index, role);
}

void AgentInstanceFilterProxyModelWrapper::disconnectNotify(const ::QMetaMethod & signal)
{
    static const char *funcName = "disconnectNotify";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[9], nameCache));
    if (pyOverride.isNull()) {
        return this->::QObject::disconnectNotify(signal);
    }
    TrashFilterProxyModelWrapper::sbk_o_connectNotify("AgentInstanceFilterProxyModel", funcName, gil, pyOverride, signal);
}

bool AgentInstanceFilterProxyModelWrapper::dropMimeData(const ::QMimeData * data, ::Qt::DropAction action, int row, int column, const ::QModelIndex & parent)
{
    static const char *funcName = "dropMimeData";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[10], nameCache));
    if (pyOverride.isNull()) {
        return this->::QSortFilterProxyModel::dropMimeData(data, action, row, column, parent);
    }
    return TrashFilterProxyModelWrapper::sbk_o_canDropMimeData("AgentInstanceFilterProxyModel", funcName, gil, pyOverride, data, action, row, column, parent);
}

bool AgentInstanceFilterProxyModelWrapper::event(::QEvent * event)
{
    static const char *funcName = "event";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[11], nameCache));
    if (pyOverride.isNull()) {
        return this->::QObject::event(event);
    }
    return TrashFilterProxyModelWrapper::sbk_o_event("AgentInstanceFilterProxyModel", funcName, gil, pyOverride, event);
}

bool AgentInstanceFilterProxyModelWrapper::eventFilter(::QObject * watched, ::QEvent * event)
{
    static const char *funcName = "eventFilter";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[12], nameCache));
    if (pyOverride.isNull()) {
        return this->::QObject::eventFilter(watched, event);
    }
    return TrashFilterProxyModelWrapper::sbk_o_eventFilter("AgentInstanceFilterProxyModel", funcName, gil, pyOverride, watched, event);
}

void AgentInstanceFilterProxyModelWrapper::fetchMore(const ::QModelIndex & parent)
{
    static const char *funcName = "fetchMore";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[13], nameCache));
    if (pyOverride.isNull()) {
        return this->::QSortFilterProxyModel::fetchMore(parent);
    }
    TrashFilterProxyModelWrapper::sbk_o_fetchMore("AgentInstanceFilterProxyModel", funcName, gil, pyOverride, parent);
}

bool AgentInstanceFilterProxyModelWrapper::filterAcceptsColumn(int source_column, const ::QModelIndex & source_parent) const
{
    static const char *funcName = "filterAcceptsColumn";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[14], nameCache));
    if (pyOverride.isNull()) {
        return this->::QSortFilterProxyModel::filterAcceptsColumn(source_column, source_parent);
    }
    return TrashFilterProxyModelWrapper::sbk_o_filterAcceptsColumn("AgentInstanceFilterProxyModel", funcName, gil, pyOverride, source_column, source_parent);
}

bool AgentInstanceFilterProxyModelWrapper::filterAcceptsRow(int row, const ::QModelIndex & parent) const
{
    static const char *funcName = "filterAcceptsRow";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[15], nameCache));
    if (pyOverride.isNull()) {
        return this->::Akonadi::AgentInstanceFilterProxyModel::filterAcceptsRow(row, parent);
    }
    return TrashFilterProxyModelWrapper::sbk_o_filterAcceptsColumn("AgentInstanceFilterProxyModel", funcName, gil, pyOverride, row, parent);
}

::QFlags<Qt::ItemFlag> AgentInstanceFilterProxyModelWrapper::flags(const ::QModelIndex & index) const
{
    static const char *funcName = "flags";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[16], nameCache));
    if (pyOverride.isNull()) {
        return this->::QSortFilterProxyModel::flags(index);
    }
    return TrashFilterProxyModelWrapper::sbk_o_flags("AgentInstanceFilterProxyModel", funcName, gil, pyOverride, index);
}

bool AgentInstanceFilterProxyModelWrapper::hasChildren(const ::QModelIndex & parent) const
{
    static const char *funcName = "hasChildren";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[17], nameCache));
    if (pyOverride.isNull()) {
        return this->::QSortFilterProxyModel::hasChildren(parent);
    }
    return TrashFilterProxyModelWrapper::sbk_o_canFetchMore("AgentInstanceFilterProxyModel", funcName, gil, pyOverride, parent);
}

::QVariant AgentInstanceFilterProxyModelWrapper::headerData(int section, ::Qt::Orientation orientation, int role) const
{
    static const char *funcName = "headerData";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[18], nameCache));
    if (pyOverride.isNull()) {
        return this->::QSortFilterProxyModel::headerData(section, orientation, role);
    }
    return TrashFilterProxyModelWrapper::sbk_o_headerData("AgentInstanceFilterProxyModel", funcName, gil, pyOverride, section, orientation, role);
}

::QModelIndex AgentInstanceFilterProxyModelWrapper::index(int row, int column, const ::QModelIndex & parent) const
{
    static const char *funcName = "index";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[19], nameCache));
    if (pyOverride.isNull()) {
        return this->::QSortFilterProxyModel::index(row, column, parent);
    }
    return TrashFilterProxyModelWrapper::sbk_o_index("AgentInstanceFilterProxyModel", funcName, gil, pyOverride, row, column, parent);
}

bool AgentInstanceFilterProxyModelWrapper::insertColumns(int column, int count, const ::QModelIndex & parent)
{
    static const char *funcName = "insertColumns";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[20], nameCache));
    if (pyOverride.isNull()) {
        return this->::QSortFilterProxyModel::insertColumns(column, count, parent);
    }
    return TrashFilterProxyModelWrapper::sbk_o_insertColumns("AgentInstanceFilterProxyModel", funcName, gil, pyOverride, column, count, parent);
}

bool AgentInstanceFilterProxyModelWrapper::insertRows(int row, int count, const ::QModelIndex & parent)
{
    static const char *funcName = "insertRows";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[21], nameCache));
    if (pyOverride.isNull()) {
        return this->::QSortFilterProxyModel::insertRows(row, count, parent);
    }
    return TrashFilterProxyModelWrapper::sbk_o_insertColumns("AgentInstanceFilterProxyModel", funcName, gil, pyOverride, row, count, parent);
}

::QMap<int,QVariant> AgentInstanceFilterProxyModelWrapper::itemData(const ::QModelIndex & index) const
{
    static const char *funcName = "itemData";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[22], nameCache));
    if (pyOverride.isNull()) {
        return this->::QAbstractProxyModel::itemData(index);
    }
    return TrashFilterProxyModelWrapper::sbk_o_itemData("AgentInstanceFilterProxyModel", funcName, gil, pyOverride, index);
}

bool AgentInstanceFilterProxyModelWrapper::lessThan(const ::QModelIndex & source_left, const ::QModelIndex & source_right) const
{
    static const char *funcName = "lessThan";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[23], nameCache));
    if (pyOverride.isNull()) {
        return this->::QSortFilterProxyModel::lessThan(source_left, source_right);
    }
    return TrashFilterProxyModelWrapper::sbk_o_lessThan("AgentInstanceFilterProxyModel", funcName, gil, pyOverride, source_left, source_right);
}

::QModelIndex AgentInstanceFilterProxyModelWrapper::mapFromSource(const ::QModelIndex & sourceIndex) const
{
    static const char *funcName = "mapFromSource";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[24], nameCache));
    if (pyOverride.isNull()) {
        return this->::QSortFilterProxyModel::mapFromSource(sourceIndex);
    }
    return TrashFilterProxyModelWrapper::sbk_o_buddy("AgentInstanceFilterProxyModel", funcName, gil, pyOverride, sourceIndex);
}

::QItemSelection AgentInstanceFilterProxyModelWrapper::mapSelectionFromSource(const ::QItemSelection & sourceSelection) const
{
    static const char *funcName = "mapSelectionFromSource";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[25], nameCache));
    if (pyOverride.isNull()) {
        return this->::QSortFilterProxyModel::mapSelectionFromSource(sourceSelection);
    }
    return TrashFilterProxyModelWrapper::sbk_o_mapSelectionFromSource("AgentInstanceFilterProxyModel", funcName, gil, pyOverride, sourceSelection);
}

::QItemSelection AgentInstanceFilterProxyModelWrapper::mapSelectionToSource(const ::QItemSelection & proxySelection) const
{
    static const char *funcName = "mapSelectionToSource";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[26], nameCache));
    if (pyOverride.isNull()) {
        return this->::QSortFilterProxyModel::mapSelectionToSource(proxySelection);
    }
    return TrashFilterProxyModelWrapper::sbk_o_mapSelectionFromSource("AgentInstanceFilterProxyModel", funcName, gil, pyOverride, proxySelection);
}

::QModelIndex AgentInstanceFilterProxyModelWrapper::mapToSource(const ::QModelIndex & proxyIndex) const
{
    static const char *funcName = "mapToSource";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[27], nameCache));
    if (pyOverride.isNull()) {
        return this->::QSortFilterProxyModel::mapToSource(proxyIndex);
    }
    return TrashFilterProxyModelWrapper::sbk_o_buddy("AgentInstanceFilterProxyModel", funcName, gil, pyOverride, proxyIndex);
}

::QList<QModelIndex> AgentInstanceFilterProxyModelWrapper::match(const ::QModelIndex & start, int role, const ::QVariant & value, int hits, ::QFlags<Qt::MatchFlag> flags) const
{
    static const char *funcName = "match";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[28], nameCache));
    if (pyOverride.isNull()) {
        return this->::QSortFilterProxyModel::match(start, role, value, hits, flags);
    }
    return TrashFilterProxyModelWrapper::sbk_o_match("AgentInstanceFilterProxyModel", funcName, gil, pyOverride, start, role, value, hits, flags);
}

::QMimeData * AgentInstanceFilterProxyModelWrapper::mimeData(const ::QList<QModelIndex> & indexes) const
{
    static const char *funcName = "mimeData";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[29], nameCache));
    if (pyOverride.isNull()) {
        return this->::QSortFilterProxyModel::mimeData(indexes);
    }
    return TrashFilterProxyModelWrapper::sbk_o_mimeData("AgentInstanceFilterProxyModel", funcName, gil, pyOverride, indexes);
}

::QStringList AgentInstanceFilterProxyModelWrapper::mimeTypes() const
{
    static const char *funcName = "mimeTypes";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[30], nameCache));
    if (pyOverride.isNull()) {
        return this->::QSortFilterProxyModel::mimeTypes();
    }
    return TrashFilterProxyModelWrapper::sbk_o_mimeTypes("AgentInstanceFilterProxyModel", funcName, gil, pyOverride);
}

bool AgentInstanceFilterProxyModelWrapper::moveColumns(const ::QModelIndex & sourceParent, int sourceColumn, int count, const ::QModelIndex & destinationParent, int destinationChild)
{
    static const char *funcName = "moveColumns";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[31], nameCache));
    if (pyOverride.isNull()) {
        return this->::QAbstractItemModel::moveColumns(sourceParent, sourceColumn, count, destinationParent, destinationChild);
    }
    return TrashFilterProxyModelWrapper::sbk_o_moveColumns("AgentInstanceFilterProxyModel", funcName, gil, pyOverride, sourceParent, sourceColumn, count, destinationParent, destinationChild);
}

bool AgentInstanceFilterProxyModelWrapper::moveRows(const ::QModelIndex & sourceParent, int sourceRow, int count, const ::QModelIndex & destinationParent, int destinationChild)
{
    static const char *funcName = "moveRows";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[32], nameCache));
    if (pyOverride.isNull()) {
        return this->::QAbstractItemModel::moveRows(sourceParent, sourceRow, count, destinationParent, destinationChild);
    }
    return TrashFilterProxyModelWrapper::sbk_o_moveColumns("AgentInstanceFilterProxyModel", funcName, gil, pyOverride, sourceParent, sourceRow, count, destinationParent, destinationChild);
}

void AgentInstanceFilterProxyModelWrapper::multiData(const ::QModelIndex & index, ::QModelRoleDataSpan roleDataSpan) const
{
    static const char *funcName = "multiData";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[33], nameCache));
    if (pyOverride.isNull()) {
        return this->::QAbstractItemModel::multiData(index, roleDataSpan);
    }
    TrashFilterProxyModelWrapper::sbk_o_multiData("AgentInstanceFilterProxyModel", funcName, gil, pyOverride, index, roleDataSpan);
}

::QModelIndex AgentInstanceFilterProxyModelWrapper::parent(const ::QModelIndex & child) const
{
    static const char *funcName = "parent";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[34], nameCache));
    if (pyOverride.isNull()) {
        return this->::QSortFilterProxyModel::parent(child);
    }
    return TrashFilterProxyModelWrapper::sbk_o_buddy("AgentInstanceFilterProxyModel", funcName, gil, pyOverride, child);
}

bool AgentInstanceFilterProxyModelWrapper::removeColumns(int column, int count, const ::QModelIndex & parent)
{
    static const char *funcName = "removeColumns";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[35], nameCache));
    if (pyOverride.isNull()) {
        return this->::QSortFilterProxyModel::removeColumns(column, count, parent);
    }
    return TrashFilterProxyModelWrapper::sbk_o_insertColumns("AgentInstanceFilterProxyModel", funcName, gil, pyOverride, column, count, parent);
}

bool AgentInstanceFilterProxyModelWrapper::removeRows(int row, int count, const ::QModelIndex & parent)
{
    static const char *funcName = "removeRows";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[36], nameCache));
    if (pyOverride.isNull()) {
        return this->::QSortFilterProxyModel::removeRows(row, count, parent);
    }
    return TrashFilterProxyModelWrapper::sbk_o_insertColumns("AgentInstanceFilterProxyModel", funcName, gil, pyOverride, row, count, parent);
}

void AgentInstanceFilterProxyModelWrapper::resetInternalData()
{
    static const char *funcName = "resetInternalData";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[37], nameCache));
    if (pyOverride.isNull()) {
        return this->::QAbstractItemModel::resetInternalData();
    }
    TrashFilterProxyModelWrapper::sbk_o_resetInternalData("AgentInstanceFilterProxyModel", funcName, gil, pyOverride);
}

void AgentInstanceFilterProxyModelWrapper::revert()
{
    static const char *funcName = "revert";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[38], nameCache));
    if (pyOverride.isNull()) {
        return this->::QAbstractProxyModel::revert();
    }
    TrashFilterProxyModelWrapper::sbk_o_resetInternalData("AgentInstanceFilterProxyModel", funcName, gil, pyOverride);
}

::QHash<int,QByteArray> AgentInstanceFilterProxyModelWrapper::roleNames() const
{
    static const char *funcName = "roleNames";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[39], nameCache));
    if (pyOverride.isNull()) {
        return this->::QAbstractProxyModel::roleNames();
    }
    return TrashFilterProxyModelWrapper::sbk_o_roleNames("AgentInstanceFilterProxyModel", funcName, gil, pyOverride);
}

int AgentInstanceFilterProxyModelWrapper::rowCount(const ::QModelIndex & parent) const
{
    static const char *funcName = "rowCount";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[40], nameCache));
    if (pyOverride.isNull()) {
        return this->::QSortFilterProxyModel::rowCount(parent);
    }
    return TrashFilterProxyModelWrapper::sbk_o_columnCount("AgentInstanceFilterProxyModel", funcName, gil, pyOverride, parent);
}

bool AgentInstanceFilterProxyModelWrapper::setData(const ::QModelIndex & index, const ::QVariant & value, int role)
{
    static const char *funcName = "setData";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[41], nameCache));
    if (pyOverride.isNull()) {
        return this->::QSortFilterProxyModel::setData(index, value, role);
    }
    return TrashFilterProxyModelWrapper::sbk_o_setData("AgentInstanceFilterProxyModel", funcName, gil, pyOverride, index, value, role);
}

bool AgentInstanceFilterProxyModelWrapper::setHeaderData(int section, ::Qt::Orientation orientation, const ::QVariant & value, int role)
{
    static const char *funcName = "setHeaderData";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[42], nameCache));
    if (pyOverride.isNull()) {
        return this->::QSortFilterProxyModel::setHeaderData(section, orientation, value, role);
    }
    return TrashFilterProxyModelWrapper::sbk_o_setHeaderData("AgentInstanceFilterProxyModel", funcName, gil, pyOverride, section, orientation, value, role);
}

bool AgentInstanceFilterProxyModelWrapper::setItemData(const ::QModelIndex & index, const ::QMap<int,QVariant> & roles)
{
    static const char *funcName = "setItemData";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[43], nameCache));
    if (pyOverride.isNull()) {
        return this->::QAbstractProxyModel::setItemData(index, roles);
    }
    return TrashFilterProxyModelWrapper::sbk_o_setItemData("AgentInstanceFilterProxyModel", funcName, gil, pyOverride, index, roles);
}

void AgentInstanceFilterProxyModelWrapper::setSourceModel(::QAbstractItemModel * sourceModel)
{
    static const char *funcName = "setSourceModel";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[44], nameCache));
    if (pyOverride.isNull()) {
        return this->::QSortFilterProxyModel::setSourceModel(sourceModel);
    }
    TrashFilterProxyModelWrapper::sbk_o_setSourceModel("AgentInstanceFilterProxyModel", funcName, gil, pyOverride, sourceModel);
}

::QModelIndex AgentInstanceFilterProxyModelWrapper::sibling(int row, int column, const ::QModelIndex & idx) const
{
    static const char *funcName = "sibling";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[45], nameCache));
    if (pyOverride.isNull()) {
        return this->::QSortFilterProxyModel::sibling(row, column, idx);
    }
    return TrashFilterProxyModelWrapper::sbk_o_index("AgentInstanceFilterProxyModel", funcName, gil, pyOverride, row, column, idx);
}

void AgentInstanceFilterProxyModelWrapper::sort(int column, ::Qt::SortOrder order)
{
    static const char *funcName = "sort";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[46], nameCache));
    if (pyOverride.isNull()) {
        return this->::QSortFilterProxyModel::sort(column, order);
    }
    TrashFilterProxyModelWrapper::sbk_o_sort("AgentInstanceFilterProxyModel", funcName, gil, pyOverride, column, order);
}

::QSize AgentInstanceFilterProxyModelWrapper::span(const ::QModelIndex & index) const
{
    static const char *funcName = "span";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[47], nameCache));
    if (pyOverride.isNull()) {
        return this->::QSortFilterProxyModel::span(index);
    }
    return TrashFilterProxyModelWrapper::sbk_o_span("AgentInstanceFilterProxyModel", funcName, gil, pyOverride, index);
}

bool AgentInstanceFilterProxyModelWrapper::submit()
{
    static const char *funcName = "submit";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[48], nameCache));
    if (pyOverride.isNull()) {
        return this->::QAbstractProxyModel::submit();
    }
    return TrashFilterProxyModelWrapper::sbk_o_submit("AgentInstanceFilterProxyModel", funcName, gil, pyOverride);
}

::QFlags<Qt::DropAction> AgentInstanceFilterProxyModelWrapper::supportedDragActions() const
{
    static const char *funcName = "supportedDragActions";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[49], nameCache));
    if (pyOverride.isNull()) {
        return this->::QAbstractProxyModel::supportedDragActions();
    }
    return TrashFilterProxyModelWrapper::sbk_o_supportedDragActions("AgentInstanceFilterProxyModel", funcName, gil, pyOverride);
}

::QFlags<Qt::DropAction> AgentInstanceFilterProxyModelWrapper::supportedDropActions() const
{
    static const char *funcName = "supportedDropActions";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[50], nameCache));
    if (pyOverride.isNull()) {
        return this->::QSortFilterProxyModel::supportedDropActions();
    }
    return TrashFilterProxyModelWrapper::sbk_o_supportedDragActions("AgentInstanceFilterProxyModel", funcName, gil, pyOverride);
}

void AgentInstanceFilterProxyModelWrapper::timerEvent(::QTimerEvent * event)
{
    static const char *funcName = "timerEvent";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), gil, funcName, m_PyMethodCache[51], nameCache));
    if (pyOverride.isNull()) {
        return this->::QObject::timerEvent(event);
    }
    TrashFilterProxyModelWrapper::sbk_o_timerEvent("AgentInstanceFilterProxyModel", funcName, gil, pyOverride, event);
}

const QMetaObject *AgentInstanceFilterProxyModelWrapper::metaObject() const
{
    if (QObject::d_ptr->metaObject != nullptr)
        return QObject::d_ptr->dynamicMetaObject();
    SbkObject *pySelf = Shiboken::BindingManager::instance().retrieveWrapper(this);
    if (pySelf == nullptr)
        return Akonadi::AgentInstanceFilterProxyModel::metaObject();
    return PySide::SignalManager::retrieveMetaObject(reinterpret_cast<PyObject *>(pySelf));
}

int AgentInstanceFilterProxyModelWrapper::qt_metacall(QMetaObject::Call call, int id, void **args)
{
    int result = Akonadi::AgentInstanceFilterProxyModel::qt_metacall(call, id, args);
    return result < 0 ? result : PySide::SignalManager::qt_metacall(this, call, id, args);
}

void *AgentInstanceFilterProxyModelWrapper::qt_metacast(const char *_clname)
{
    if (_clname == nullptr)
        return {};
    if (SbkObject *pySelf = Shiboken::BindingManager::instance().retrieveWrapper(this)) {
        auto *obSelf = reinterpret_cast<PyObject *>(pySelf);
        if (PySide::inherits(Py_TYPE(obSelf), _clname))
            return static_cast<void *>(const_cast< AgentInstanceFilterProxyModelWrapper *>(this));
    }
    return Akonadi::AgentInstanceFilterProxyModel::qt_metacast(_clname);
}

AgentInstanceFilterProxyModelWrapper::~AgentInstanceFilterProxyModelWrapper()
{
    auto *wrapper = Shiboken::BindingManager::instance().retrieveWrapper(this, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF());
    Shiboken::Object::destroy(wrapper, this);
}

// Target ---------------------------------------------------------

extern "C" {
static int
Sbk_Akonadi_AgentInstanceFilterProxyModel_Init(PyObject *self, PyObject *args, [[maybe_unused]] PyObject *kwds)
{
    auto *sbkSelf = reinterpret_cast<SbkObject *>(self);
    PySide::Feature::Select(self);
    if (Shiboken::Object::isUserType(self) && !Shiboken::ObjectType::canCallConstructor(self->ob_type, Shiboken::SbkType< ::Akonadi::AgentInstanceFilterProxyModel >()))
        return -1;

    AgentInstanceFilterProxyModelWrapper *cptr{};
    Shiboken::AutoDecRef errInfo{};
    Shiboken::PythonContextMarker pcm;
    int overloadId = -1;
    [[maybe_unused]] Shiboken::Conversions::PythonToCppConversion pythonToCpp[1];
    const Py_ssize_t numArgs = PyTuple_Size(args);
    SBK_UNUSED(numArgs)
    PyObject *pyArgs[] = {nullptr};

    // invalid argument lengths

    if (PyArg_ParseTuple(args, "|O:AgentInstanceFilterProxyModel", &(pyArgs[0])) == 0)
        return -1;


    // Overloaded function decisor
    // 0: AgentInstanceFilterProxyModel::AgentInstanceFilterProxyModel(QObject*=)
    if (numArgs == 0) {
        overloadId = 0; // AgentInstanceFilterProxyModel(QObject*)
    } else if (numArgs >= 1
        && (pythonToCpp[0] = Shiboken::Conversions::pythonToCppPointerConversion(Shiboken::Module::get(SbkPySide6_QtCoreTypeStructs[SBK_QObject_IDX]), (pyArgs[0])))) {
        overloadId = 0; // AgentInstanceFilterProxyModel::AgentInstanceFilterProxyModel(QObject*=)
    }

    // Function signature not found.
    if (overloadId == -1)
        return Shiboken::returnWrongArguments_MinusOne(args, "__init__", SbkAkonadiCoreTypeStructs[SBK_Akonadi_AgentInstanceFilterProxyModel_IDX]);

    // Resolve keyword arguments
    {
        if (kwds != nullptr && PyDict_Size(kwds) > 0) {
            static const Shiboken::ArgumentNameIndexMapping mapping[1] = {{"parent", 0}};
            if (!Shiboken::parseConstructorKeywordArguments(kwds, mapping, 1, errInfo, pyArgs)
                || (pyArgs[0] != nullptr && !((pythonToCpp[0] = Shiboken::Conversions::pythonToCppPointerConversion(Shiboken::Module::get(SbkPySide6_QtCoreTypeStructs[SBK_QObject_IDX]), (pyArgs[0])))))) {
                Py_XINCREF(errInfo.object());
                return Shiboken::returnWrongArguments_MinusOne(args, "__init__", errInfo, SbkAkonadiCoreTypeStructs[SBK_Akonadi_AgentInstanceFilterProxyModel_IDX]);
            }
        }
    }

    // PyMI support
    [[maybe_unused]] const bool usesPyMI = Shiboken::callInheritedInit(self, args, errInfo.isNull() ? kwds : errInfo.object(), SbkAkonadiCoreTypeStructs[SBK_Akonadi_AgentInstanceFilterProxyModel_IDX]);
    if (Shiboken::Errors::occurred() != nullptr)
        return -1;

    // Call function/method
    {
        if (!Shiboken::Object::isValid(pyArgs[0]))
            return -1;
        ::QObject *cppArg0 = nullptr;
        if (pythonToCpp[0])
            pythonToCpp[0](pyArgs[0], &cppArg0);

        if (Shiboken::Errors::occurred() == nullptr) {
            // AgentInstanceFilterProxyModel::AgentInstanceFilterProxyModel(QObject*=)
            void *addr = PySide::nextQObjectMemoryAddr();
            if (addr != nullptr) {
                cptr = new (addr) AgentInstanceFilterProxyModelWrapper(cppArg0);
                PySide::setNextQObjectMemoryAddr(nullptr);
            } else {
                cptr = new AgentInstanceFilterProxyModelWrapper(cppArg0);
            }

        }
    }

    if (Shiboken::Errors::occurred() != nullptr || !Shiboken::Object::setCppPointer(sbkSelf, Shiboken::SbkType< Akonadi::AgentInstanceFilterProxyModel >(), cptr)) {
        delete cptr;
        return -1;
    }
    if (cptr == nullptr)
        return Shiboken::returnWrongArguments_MinusOne(args, "__init__", SbkAkonadiCoreTypeStructs[SBK_Akonadi_AgentInstanceFilterProxyModel_IDX]);

    Shiboken::Object::setValidCpp(sbkSelf, true);
    Shiboken::Object::setHasCppWrapper(sbkSelf, true);
    Shiboken::BindingManager::instance().registerWrapper(sbkSelf, cptr);

    // QObject setup
    PySide::Signal::updateSourceObject(self);
    const auto *metaObject = cptr->metaObject(); // <- init python qt properties
    if (!errInfo.isNull() && PyDict_Check(errInfo.object())) {
        if (!PySide::fillQtProperties(self, metaObject, errInfo, usesPyMI))
            return Shiboken::returnWrongArguments_MinusOne(args, "__init__", errInfo, SbkAkonadiCoreTypeStructs[SBK_Akonadi_AgentInstanceFilterProxyModel_IDX]);
    };


    return 1;
}

static PyObject *Sbk_Akonadi_AgentInstanceFilterProxyModelFunc_accountActivitiesAbstract(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    [[maybe_unused]] auto *cppSelf = reinterpret_cast< ::Akonadi::AgentInstanceFilterProxyModel *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkAkonadiCoreTypeStructs[SBK_Akonadi_AgentInstanceFilterProxyModel_IDX]), reinterpret_cast<SbkObject *>(self)));
    PyObject *pyResult{};
    Shiboken::PythonContextMarker pcm;

    // Call function/method
    {

        // AgentInstanceFilterProxyModel::accountActivitiesAbstract()const->Akonadi::AccountActivitiesAbstract*
        Akonadi::AccountActivitiesAbstract * cppResult = const_cast<const ::Akonadi::AgentInstanceFilterProxyModel *>(cppSelf)->accountActivitiesAbstract();
        pyResult = Shiboken::Conversions::pointerToPython(Shiboken::Module::get(SbkAkonadiCoreTypeStructs[SBK_Akonadi_AccountActivitiesAbstract_IDX]), cppResult);
    }

    return Sbk_ReturnFromPython_Result(pyResult);
}

static PyObject *Sbk_Akonadi_AgentInstanceFilterProxyModelFunc_addCapabilityFilter(PyObject *self, PyObject *pyArg)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    [[maybe_unused]] auto *cppSelf = reinterpret_cast< ::Akonadi::AgentInstanceFilterProxyModel *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkAkonadiCoreTypeStructs[SBK_Akonadi_AgentInstanceFilterProxyModel_IDX]), reinterpret_cast<SbkObject *>(self)));
    Shiboken::AutoDecRef errInfo{};
    Shiboken::PythonContextMarker pcm;
    int overloadId = -1;
    [[maybe_unused]] Shiboken::Conversions::PythonToCppConversion pythonToCpp;

    // Overloaded function decisor
    // 0: AgentInstanceFilterProxyModel::addCapabilityFilter(const QString&)
    if ((pythonToCpp = Shiboken::Conversions::pythonToCppConversion(SbkPySide6_QtCoreTypeConverters[SBK_QString_IDX], (pyArg)))) {
        overloadId = 0; // AgentInstanceFilterProxyModel::addCapabilityFilter(const QString&)
    }

    // Function signature not found.
    if (overloadId == -1)
        return Shiboken::returnWrongArguments(pyArg, "addCapabilityFilter", SbkAkonadiCoreTypeStructs[SBK_Akonadi_AgentInstanceFilterProxyModel_IDX]);

    // Call function/method
    {
        ::QString cppArg0;
        pythonToCpp(pyArg, &cppArg0);

        if (Shiboken::Errors::occurred() == nullptr) {
            // AgentInstanceFilterProxyModel::addCapabilityFilter(const QString&)
            cppSelf->addCapabilityFilter(cppArg0);
        }
    }

     return Sbk_ReturnFromPython_None();
}

static PyObject *Sbk_Akonadi_AgentInstanceFilterProxyModelFunc_addMimeTypeFilter(PyObject *self, PyObject *pyArg)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    [[maybe_unused]] auto *cppSelf = reinterpret_cast< ::Akonadi::AgentInstanceFilterProxyModel *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkAkonadiCoreTypeStructs[SBK_Akonadi_AgentInstanceFilterProxyModel_IDX]), reinterpret_cast<SbkObject *>(self)));
    Shiboken::AutoDecRef errInfo{};
    Shiboken::PythonContextMarker pcm;
    int overloadId = -1;
    [[maybe_unused]] Shiboken::Conversions::PythonToCppConversion pythonToCpp;

    // Overloaded function decisor
    // 0: AgentInstanceFilterProxyModel::addMimeTypeFilter(const QString&)
    if ((pythonToCpp = Shiboken::Conversions::pythonToCppConversion(SbkPySide6_QtCoreTypeConverters[SBK_QString_IDX], (pyArg)))) {
        overloadId = 0; // AgentInstanceFilterProxyModel::addMimeTypeFilter(const QString&)
    }

    // Function signature not found.
    if (overloadId == -1)
        return Shiboken::returnWrongArguments(pyArg, "addMimeTypeFilter", SbkAkonadiCoreTypeStructs[SBK_Akonadi_AgentInstanceFilterProxyModel_IDX]);

    // Call function/method
    {
        ::QString cppArg0;
        pythonToCpp(pyArg, &cppArg0);

        if (Shiboken::Errors::occurred() == nullptr) {
            // AgentInstanceFilterProxyModel::addMimeTypeFilter(const QString&)
            cppSelf->addMimeTypeFilter(cppArg0);
        }
    }

     return Sbk_ReturnFromPython_None();
}

static PyObject *Sbk_Akonadi_AgentInstanceFilterProxyModelFunc_clearFilters(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    [[maybe_unused]] auto *cppSelf = reinterpret_cast< ::Akonadi::AgentInstanceFilterProxyModel *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkAkonadiCoreTypeStructs[SBK_Akonadi_AgentInstanceFilterProxyModel_IDX]), reinterpret_cast<SbkObject *>(self)));
    Shiboken::PythonContextMarker pcm;

    // Call function/method
    {

        // AgentInstanceFilterProxyModel::clearFilters()
        cppSelf->clearFilters();
    }

     return Sbk_ReturnFromPython_None();
}

static PyObject *Sbk_Akonadi_AgentInstanceFilterProxyModelFunc_enablePlasmaActivities(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    [[maybe_unused]] auto *cppSelf = reinterpret_cast< ::Akonadi::AgentInstanceFilterProxyModel *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkAkonadiCoreTypeStructs[SBK_Akonadi_AgentInstanceFilterProxyModel_IDX]), reinterpret_cast<SbkObject *>(self)));
    PyObject *pyResult{};
    Shiboken::PythonContextMarker pcm;

    // Call function/method
    {

        // AgentInstanceFilterProxyModel::enablePlasmaActivities()const->bool
        bool cppResult = const_cast<const ::Akonadi::AgentInstanceFilterProxyModel *>(cppSelf)->enablePlasmaActivities();
        pyResult = Shiboken::Conversions::copyToPython(Shiboken::Conversions::PrimitiveTypeConverter<bool>(), &cppResult);
    }

    return Sbk_ReturnFromPython_Result(pyResult);
}

static PyObject *Sbk_Akonadi_AgentInstanceFilterProxyModelFunc_excludeCapabilities(PyObject *self, PyObject *pyArg)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    [[maybe_unused]] auto *cppSelf = reinterpret_cast< ::Akonadi::AgentInstanceFilterProxyModel *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkAkonadiCoreTypeStructs[SBK_Akonadi_AgentInstanceFilterProxyModel_IDX]), reinterpret_cast<SbkObject *>(self)));
    Shiboken::AutoDecRef errInfo{};
    Shiboken::PythonContextMarker pcm;
    int overloadId = -1;
    [[maybe_unused]] Shiboken::Conversions::PythonToCppConversion pythonToCpp;

    // Overloaded function decisor
    // 0: AgentInstanceFilterProxyModel::excludeCapabilities(const QString&)
    if ((pythonToCpp = Shiboken::Conversions::pythonToCppConversion(SbkPySide6_QtCoreTypeConverters[SBK_QString_IDX], (pyArg)))) {
        overloadId = 0; // AgentInstanceFilterProxyModel::excludeCapabilities(const QString&)
    }

    // Function signature not found.
    if (overloadId == -1)
        return Shiboken::returnWrongArguments(pyArg, "excludeCapabilities", SbkAkonadiCoreTypeStructs[SBK_Akonadi_AgentInstanceFilterProxyModel_IDX]);

    // Call function/method
    {
        ::QString cppArg0;
        pythonToCpp(pyArg, &cppArg0);

        if (Shiboken::Errors::occurred() == nullptr) {
            // AgentInstanceFilterProxyModel::excludeCapabilities(const QString&)
            cppSelf->excludeCapabilities(cppArg0);
        }
    }

     return Sbk_ReturnFromPython_None();
}

static PyObject *Sbk_Akonadi_AgentInstanceFilterProxyModelFunc_filterAcceptsRow(PyObject *self, PyObject *args)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    [[maybe_unused]] auto *cppSelf = reinterpret_cast< ::Akonadi::AgentInstanceFilterProxyModel *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkAkonadiCoreTypeStructs[SBK_Akonadi_AgentInstanceFilterProxyModel_IDX]), reinterpret_cast<SbkObject *>(self)));
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    Shiboken::PythonContextMarker pcm;
    int overloadId = -1;
    [[maybe_unused]] Shiboken::Conversions::PythonToCppConversion pythonToCpp[2];
    const Py_ssize_t numArgs = PyTuple_Size(args);
    SBK_UNUSED(numArgs)
    PyObject *pyArgs[] = {nullptr, nullptr};

    // invalid argument lengths

    if (PyArg_UnpackTuple(args, "filterAcceptsRow", 2, 2, &(pyArgs[0]), &(pyArgs[1])) == 0)
        return {};


    // Overloaded function decisor
    // 0: QSortFilterProxyModel::filterAcceptsRow(int,const QModelIndex&)const->bool
    if (numArgs == 2
        && (pythonToCpp[0] = Shiboken::Conversions::pythonToCppConversion(Shiboken::Conversions::PrimitiveTypeConverter<int>(), (pyArgs[0])))
        && (pythonToCpp[1] = Shiboken::Conversions::pythonToCppReferenceConversion(Shiboken::Module::get(SbkPySide6_QtCoreTypeStructs[SBK_QModelIndex_IDX]), (pyArgs[1])))) {
        overloadId = 0; // QSortFilterProxyModel::filterAcceptsRow(int,const QModelIndex&)const->bool
    }

    // Function signature not found.
    if (overloadId == -1)
        return Shiboken::returnWrongArguments(args, "filterAcceptsRow", SbkAkonadiCoreTypeStructs[SBK_Akonadi_AgentInstanceFilterProxyModel_IDX]);

    // Call function/method
    {
        int cppArg0;
        pythonToCpp[0](pyArgs[0], &cppArg0);
        if (!Shiboken::Object::isValid(pyArgs[1]))
            return {};
        ::QModelIndex cppArg1_local;
        ::QModelIndex *cppArg1 = &cppArg1_local;
        if (pythonToCpp[1].isValue())
            pythonToCpp[1](pyArgs[1], &cppArg1_local);
        else
            pythonToCpp[1](pyArgs[1], &cppArg1);


        if (Shiboken::Errors::occurred() == nullptr) {
            // QSortFilterProxyModel::filterAcceptsRow(int,const QModelIndex&)const->bool
            bool cppResult = Shiboken::Object::hasCppWrapper(reinterpret_cast<SbkObject *>(self))
                ? const_cast<const ::Akonadi::AgentInstanceFilterProxyModel *>(cppSelf)->::Akonadi::AgentInstanceFilterProxyModel::filterAcceptsRow(cppArg0, *cppArg1)
                : const_cast<const ::Akonadi::AgentInstanceFilterProxyModel *>(cppSelf)->filterAcceptsRow(cppArg0, *cppArg1);
            pyResult = Shiboken::Conversions::copyToPython(Shiboken::Conversions::PrimitiveTypeConverter<bool>(), &cppResult);
        }
    }

    return Sbk_ReturnFromPython_Result(pyResult);
}

static PyObject *Sbk_Akonadi_AgentInstanceFilterProxyModelFunc_setAccountActivitiesAbstract(PyObject *self, PyObject *pyArg)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    [[maybe_unused]] auto *cppSelf = reinterpret_cast< ::Akonadi::AgentInstanceFilterProxyModel *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkAkonadiCoreTypeStructs[SBK_Akonadi_AgentInstanceFilterProxyModel_IDX]), reinterpret_cast<SbkObject *>(self)));
    Shiboken::AutoDecRef errInfo{};
    Shiboken::PythonContextMarker pcm;
    int overloadId = -1;
    [[maybe_unused]] Shiboken::Conversions::PythonToCppConversion pythonToCpp;

    // Overloaded function decisor
    // 0: AgentInstanceFilterProxyModel::setAccountActivitiesAbstract(Akonadi::AccountActivitiesAbstract*)
    if ((pythonToCpp = Shiboken::Conversions::pythonToCppPointerConversion(Shiboken::Module::get(SbkAkonadiCoreTypeStructs[SBK_Akonadi_AccountActivitiesAbstract_IDX]), (pyArg)))) {
        overloadId = 0; // AgentInstanceFilterProxyModel::setAccountActivitiesAbstract(Akonadi::AccountActivitiesAbstract*)
    }

    // Function signature not found.
    if (overloadId == -1)
        return Shiboken::returnWrongArguments(pyArg, "setAccountActivitiesAbstract", SbkAkonadiCoreTypeStructs[SBK_Akonadi_AgentInstanceFilterProxyModel_IDX]);

    // Call function/method
    {
        if (!Shiboken::Object::isValid(pyArg))
            return {};
        ::Akonadi::AccountActivitiesAbstract *cppArg0;
        pythonToCpp(pyArg, &cppArg0);

        if (Shiboken::Errors::occurred() == nullptr) {
            // AgentInstanceFilterProxyModel::setAccountActivitiesAbstract(Akonadi::AccountActivitiesAbstract*)
            cppSelf->setAccountActivitiesAbstract(cppArg0);
        }
    }

     return Sbk_ReturnFromPython_None();
}

static PyObject *Sbk_Akonadi_AgentInstanceFilterProxyModelFunc_setEnablePlasmaActivities(PyObject *self, PyObject *pyArg)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    [[maybe_unused]] auto *cppSelf = reinterpret_cast< ::Akonadi::AgentInstanceFilterProxyModel *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkAkonadiCoreTypeStructs[SBK_Akonadi_AgentInstanceFilterProxyModel_IDX]), reinterpret_cast<SbkObject *>(self)));
    Shiboken::AutoDecRef errInfo{};
    Shiboken::PythonContextMarker pcm;
    int overloadId = -1;
    [[maybe_unused]] Shiboken::Conversions::PythonToCppConversion pythonToCpp;

    // Overloaded function decisor
    // 0: AgentInstanceFilterProxyModel::setEnablePlasmaActivities(bool)
    if ((pythonToCpp = Shiboken::Conversions::pythonToCppConversion(Shiboken::Conversions::PrimitiveTypeConverter<bool>(), (pyArg)))) {
        overloadId = 0; // AgentInstanceFilterProxyModel::setEnablePlasmaActivities(bool)
    }

    // Function signature not found.
    if (overloadId == -1)
        return Shiboken::returnWrongArguments(pyArg, "setEnablePlasmaActivities", SbkAkonadiCoreTypeStructs[SBK_Akonadi_AgentInstanceFilterProxyModel_IDX]);

    // Call function/method
    {
        bool cppArg0;
        pythonToCpp(pyArg, &cppArg0);

        if (Shiboken::Errors::occurred() == nullptr) {
            // AgentInstanceFilterProxyModel::setEnablePlasmaActivities(bool)
            cppSelf->setEnablePlasmaActivities(cppArg0);
        }
    }

     return Sbk_ReturnFromPython_None();
}


static const char *Sbk_Akonadi_AgentInstanceFilterProxyModel_PropertyStrings[] = {
    nullptr // Sentinel
};

static PyMethodDef Sbk_Akonadi_AgentInstanceFilterProxyModel_methods[] = {
    {"accountActivitiesAbstract", reinterpret_cast<PyCFunction>(Sbk_Akonadi_AgentInstanceFilterProxyModelFunc_accountActivitiesAbstract), METH_NOARGS, nullptr},
    {"addCapabilityFilter", reinterpret_cast<PyCFunction>(Sbk_Akonadi_AgentInstanceFilterProxyModelFunc_addCapabilityFilter), METH_O, nullptr},
    {"addMimeTypeFilter", reinterpret_cast<PyCFunction>(Sbk_Akonadi_AgentInstanceFilterProxyModelFunc_addMimeTypeFilter), METH_O, nullptr},
    {"clearFilters", reinterpret_cast<PyCFunction>(Sbk_Akonadi_AgentInstanceFilterProxyModelFunc_clearFilters), METH_NOARGS, nullptr},
    {"enablePlasmaActivities", reinterpret_cast<PyCFunction>(Sbk_Akonadi_AgentInstanceFilterProxyModelFunc_enablePlasmaActivities), METH_NOARGS, nullptr},
    {"excludeCapabilities", reinterpret_cast<PyCFunction>(Sbk_Akonadi_AgentInstanceFilterProxyModelFunc_excludeCapabilities), METH_O, nullptr},
    {"filterAcceptsRow", reinterpret_cast<PyCFunction>(Sbk_Akonadi_AgentInstanceFilterProxyModelFunc_filterAcceptsRow), METH_VARARGS, nullptr},
    {"setAccountActivitiesAbstract", reinterpret_cast<PyCFunction>(Sbk_Akonadi_AgentInstanceFilterProxyModelFunc_setAccountActivitiesAbstract), METH_O, nullptr},
    {"setEnablePlasmaActivities", reinterpret_cast<PyCFunction>(Sbk_Akonadi_AgentInstanceFilterProxyModelFunc_setEnablePlasmaActivities), METH_O, nullptr},
    {nullptr, nullptr, 0, nullptr} // Sentinel
};

static int Sbk_Akonadi_AgentInstanceFilterProxyModel_setattro(PyObject *self, PyObject *name, PyObject *value)
{
    PySide::Feature::Select(self);
    if (value != nullptr && PyCallable_Check(value) != 0) {
        auto plain_inst = reinterpret_cast< ::Akonadi::AgentInstanceFilterProxyModel *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkAkonadiCoreTypeStructs[SBK_Akonadi_AgentInstanceFilterProxyModel_IDX]), reinterpret_cast<SbkObject *>(self)));
        auto *inst = dynamic_cast<AgentInstanceFilterProxyModelWrapper *>(plain_inst);
        if (inst != nullptr)
            inst->resetPyMethodCache();
    }
    Shiboken::AutoDecRef pp(reinterpret_cast<PyObject *>(PySide::Property::getObject(self, name)));
    if (!pp.isNull())
        return PySide::Property::setValue(reinterpret_cast<PySideProperty *>(pp.object()), self, value);
    return PyObject_GenericSetAttr(self, name, value);
}

} // extern "C"

static int Sbk_Akonadi_AgentInstanceFilterProxyModel_traverse(PyObject *self, visitproc visit, void *arg)
{
    auto traverseProc = reinterpret_cast<traverseproc>(PyType_GetSlot(SbkObject_TypeF(), Py_tp_traverse));
    ;
    return traverseProc(self, visit, arg);
}
static int Sbk_Akonadi_AgentInstanceFilterProxyModel_clear(PyObject *self)
{
    auto clearProc = reinterpret_cast<inquiry>(PyType_GetSlot(SbkObject_TypeF(), Py_tp_clear));
    ;
    return clearProc(self);
}

// Class Definition -----------------------------------------------
extern "C" {

static PyType_Slot Sbk_Akonadi_AgentInstanceFilterProxyModel_slots[] = {
    {Py_tp_base,        nullptr}, // inserted by introduceWrapperType
    {Py_tp_dealloc,     reinterpret_cast<void *>(&SbkDeallocWrapper)},
    {Py_tp_setattro,    reinterpret_cast<void *>(Sbk_Akonadi_AgentInstanceFilterProxyModel_setattro)},
    {Py_tp_traverse,    reinterpret_cast<void *>(Sbk_Akonadi_AgentInstanceFilterProxyModel_traverse)},
    {Py_tp_clear,       reinterpret_cast<void *>(Sbk_Akonadi_AgentInstanceFilterProxyModel_clear)},
    {Py_tp_methods,     reinterpret_cast<void *>(Sbk_Akonadi_AgentInstanceFilterProxyModel_methods)},
    {Py_tp_init,        reinterpret_cast<void *>(Sbk_Akonadi_AgentInstanceFilterProxyModel_Init)},
    {Py_tp_new,         reinterpret_cast<void *>(SbkObject_tp_new)},
    {0, nullptr}
};
static PyType_Spec Sbk_Akonadi_AgentInstanceFilterProxyModel_spec = {
    "1:AkonadiCore.Akonadi.AgentInstanceFilterProxyModel",
    sizeof(SbkObject),
    0,
    Py_TPFLAGS_DEFAULT|Py_TPFLAGS_BASETYPE|Py_TPFLAGS_HAVE_GC,
    Sbk_Akonadi_AgentInstanceFilterProxyModel_slots
};

} //extern "C"

static void *Sbk_Akonadi_AgentInstanceFilterProxyModel_typeDiscovery([[maybe_unused]] void *cptr, [[maybe_unused]] PyTypeObject *instanceType)
{
    if (instanceType == Shiboken::SbkType< ::QObject >())
        return dynamic_cast< ::Akonadi::AgentInstanceFilterProxyModel *>(reinterpret_cast< ::QObject *>(cptr));
    return {};
}


// Type conversion functions.

// Python to C++ pointer conversion - returns the C++ object of the Python wrapper (keeps object identity).
static void AgentInstanceFilterProxyModel_PythonToCpp_AgentInstanceFilterProxyModel_PTR(PyObject *pyIn, void *cppOut)
{
    Shiboken::Conversions::pythonToCppPointer(Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF(), pyIn, cppOut);
}
static PythonToCppFunc is_AgentInstanceFilterProxyModel_PythonToCpp_AgentInstanceFilterProxyModel_PTR_Convertible(PyObject *pyIn)
{
    if (pyIn == Py_None)
        return Shiboken::Conversions::nonePythonToCppNullPtr;
    if (PyObject_TypeCheck(pyIn, Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF()))
        return AgentInstanceFilterProxyModel_PythonToCpp_AgentInstanceFilterProxyModel_PTR;
    return {};
}

// C++ to Python pointer conversion - tries to find the Python wrapper for the C++ object (keeps object identity).
static PyObject *AgentInstanceFilterProxyModel_PTR_CppToPython_AgentInstanceFilterProxyModel(const void *cppIn)
{
    return PySide::getWrapperForQObject(reinterpret_cast<::Akonadi::AgentInstanceFilterProxyModel *>(const_cast<void *>(cppIn)), Sbk_Akonadi_AgentInstanceFilterProxyModel_TypeF());

}

// The signatures string for the functions.
// Multiple signatures have their index "n:" in front.
#if PYSIDE6_COMOPT_COMPRESS == 0
static const char *Akonadi_AgentInstanceFilterProxyModel_SignatureStrings[] = {
    "AkonadiCore.Akonadi.AgentInstanceFilterProxyModel(self,parent:PySide6.QtCore.QObject=nullptr)",
    "AkonadiCore.Akonadi.AgentInstanceFilterProxyModel.accountActivitiesAbstract(self)->AkonadiCore.Akonadi.AccountActivitiesAbstract",
    "AkonadiCore.Akonadi.AgentInstanceFilterProxyModel.addCapabilityFilter(self,capability:QString)",
    "AkonadiCore.Akonadi.AgentInstanceFilterProxyModel.addMimeTypeFilter(self,mimeType:QString)",
    "AkonadiCore.Akonadi.AgentInstanceFilterProxyModel.clearFilters(self)",
    "AkonadiCore.Akonadi.AgentInstanceFilterProxyModel.enablePlasmaActivities(self)->bool",
    "AkonadiCore.Akonadi.AgentInstanceFilterProxyModel.excludeCapabilities(self,capability:QString)",
    "AkonadiCore.Akonadi.AgentInstanceFilterProxyModel.filterAcceptsRow(self,row:int,parent:typing.Union[PySide6.QtCore.QModelIndex, PySide6.QtCore.QPersistentModelIndex])->bool",
    "AkonadiCore.Akonadi.AgentInstanceFilterProxyModel.setAccountActivitiesAbstract(self,abstract:AkonadiCore.Akonadi.AccountActivitiesAbstract)",
    "AkonadiCore.Akonadi.AgentInstanceFilterProxyModel.setEnablePlasmaActivities(self,newEnablePlasmaActivities:bool)",
    nullptr}; // Sentinel
#else
static constexpr size_t Akonadi_AgentInstanceFilterProxyModel_SignatureByteSize = 294;
static constexpr uint8_t Akonadi_AgentInstanceFilterProxyModel_SignatureBytes[294] = {
    0x78, 0xda, 0xad, 0x92, 0x31, 0x4f, 0xc3, 0x30, 0x10, 0x85, 0xf7, 0xfe, 0x0a, 0x46, 0x22, 0x85,
    0x8c, 0x0c, 0x91, 0x40, 0xb2, 0x2a, 0x90, 0x3a, 0x54, 0x24, 0x14, 0x26, 0xc4, 0xe0, 0xd8, 0xd7,
    0xea, 0xc0, 0x39, 0x5b, 0xf6, 0x85, 0x24, 0xff, 0x9e, 0x90, 0x34, 0x2d, 0xaa, 0x5a, 0xa4, 0xa6,
    0x6c, 0xf6, 0x3b, 0xfb, 0xf3, 0xdd, 0xf3, 0x13, 0x9f, 0x96, 0xa4, 0xc6, 0xb9, 0xf5, 0x90, 0x88,
    0x61, 0x9d, 0x88, 0x0d, 0x10, 0x2f, 0x28, 0xb0, 0x24, 0x05, 0x8f, 0x68, 0x18, 0x7c, 0xe6, 0x6d,
    0xd3, 0x2e, 0xad, 0x06, 0x73, 0x1d, 0xc0, 0xac, 0x63, 0x27, 0x7d, 0x77, 0x26, 0xcd, 0xda, 0x15,
    0x6a, 0xb8, 0x4d, 0x72, 0xee, 0x01, 0xf9, 0x53, 0xf1, 0x01, 0x8a, 0xef, 0xa8, 0x32, 0xc6, 0xb1,
    0x8f, 0x66, 0xe2, 0x5c, 0x7a, 0x22, 0x95, 0xb2, 0x15, 0xb1, 0x50, 0x8c, 0x5f, 0xc8, 0x08, 0x41,
    0x14, 0x81, 0xbd, 0x54, 0xdc, 0xbf, 0x1b, 0xdd, 0xdc, 0x1f, 0x45, 0x9e, 0xba, 0x34, 0xa5, 0x01,
    0xad, 0xe7, 0xd2, 0xc9, 0x02, 0x0d, 0x72, 0x3b, 0x54, 0x87, 0x91, 0xd5, 0x4e, 0x4d, 0xf3, 0x15,
    0x7b, 0xa4, 0x4d, 0x34, 0x0d, 0xbf, 0xc4, 0x12, 0x5e, 0x5a, 0x07, 0xbf, 0xe1, 0xe5, 0x56, 0xbb,
    0x04, 0xad, 0x0c, 0x48, 0x3f, 0xa8, 0x61, 0x70, 0x6b, 0x02, 0x04, 0x48, 0x16, 0x06, 0x32, 0x23,
    0x43, 0x29, 0xf7, 0x7e, 0x8e, 0xe6, 0x17, 0xd6, 0x9a, 0x29, 0xd0, 0x46, 0x99, 0x4a, 0xc3, 0xce,
    0xd7, 0x91, 0xf8, 0x4f, 0x9e, 0xae, 0x7b, 0xa1, 0x0b, 0x01, 0x38, 0x0e, 0xcf, 0xb6, 0x1e, 0xd8,
    0xde, 0xd6, 0x29, 0x12, 0x8f, 0x51, 0xe5, 0xd6, 0x75, 0xf8, 0xe4, 0x95, 0xd0, 0xd2, 0xdb, 0x61,
    0x6e, 0x7b, 0xce, 0x82, 0x34, 0x34, 0xf1, 0xd5, 0x61, 0x2d, 0xeb, 0xec, 0xc4, 0xc0, 0x1d, 0x63,
    0x7f, 0xea, 0x7d, 0xba, 0x17, 0x01, 0x58, 0xfc, 0x99, 0xf1, 0x58, 0x6e, 0x77, 0xe9, 0x59, 0x51,
    0x8f, 0xa6, 0xf5, 0xf2, 0x70, 0xfa, 0xbf, 0x63, 0x82, 0xfa, 0x78, 0x39, 0xfd, 0x99, 0x3d, 0x9a,
    0x7d, 0x03, 0xb0, 0xdf, 0x9a, 0x4e
};
#endif

PyTypeObject *init_Akonadi_AgentInstanceFilterProxyModel(PyObject *enclosingClass)
{
    auto &typeStruct = SbkAkonadiCoreTypeStructs[SBK_Akonadi_AgentInstanceFilterProxyModel_IDX];
    if (typeStruct.type != nullptr)
        return typeStruct.type;

    auto *base1 = reinterpret_cast<PyObject *>(Shiboken::Module::get(SbkPySide6_QtCoreTypeStructs[SBK_QSortFilterProxyModel_IDX]));
    Shiboken::AutoDecRef Sbk_Akonadi_AgentInstanceFilterProxyModel_Type_bases(PyTuple_Pack(1, base1));

    PyTypeObject *pyType = Shiboken::ObjectType::introduceWrapperType(
        enclosingClass,
        "AgentInstanceFilterProxyModel",
        "Akonadi::AgentInstanceFilterProxyModel*",
        &Sbk_Akonadi_AgentInstanceFilterProxyModel_spec,
        &Shiboken::callCppDestructor< Akonadi::AgentInstanceFilterProxyModel >,
        Sbk_Akonadi_AgentInstanceFilterProxyModel_Type_bases.object(),
        Shiboken::ObjectType::WrapperFlags::InnerClass);
#if PYSIDE6_COMOPT_COMPRESS == 0
    InitSignatureStrings(pyType, Akonadi_AgentInstanceFilterProxyModel_SignatureStrings);
#else
    InitSignatureBytes(pyType, Akonadi_AgentInstanceFilterProxyModel_SignatureBytes, Akonadi_AgentInstanceFilterProxyModel_SignatureByteSize);
#endif
    SbkObjectType_SetPropertyStrings(pyType, Sbk_Akonadi_AgentInstanceFilterProxyModel_PropertyStrings);
    typeStruct.type = pyType;

    // Register Converter
    SbkConverter *converter = Shiboken::Conversions::createConverter(pyType,
        AgentInstanceFilterProxyModel_PythonToCpp_AgentInstanceFilterProxyModel_PTR,
        is_AgentInstanceFilterProxyModel_PythonToCpp_AgentInstanceFilterProxyModel_PTR_Convertible,
        AgentInstanceFilterProxyModel_PTR_CppToPython_AgentInstanceFilterProxyModel);

    Shiboken::Conversions::registerConverterName(converter, "Akonadi::AgentInstanceFilterProxyModel");
    Shiboken::Conversions::registerConverterName(converter, "Akonadi::AgentInstanceFilterProxyModel*");
    Shiboken::Conversions::registerConverterName(converter, "Akonadi::AgentInstanceFilterProxyModel&");
    Shiboken::Conversions::registerConverterAlias(converter, "AgentInstanceFilterProxyModel");
    Shiboken::Conversions::registerConverterAlias(converter, "AgentInstanceFilterProxyModel*");
    Shiboken::Conversions::registerConverterAlias(converter, "AgentInstanceFilterProxyModel&");
    Shiboken::Conversions::registerConverterName(converter, typeid(::Akonadi::AgentInstanceFilterProxyModel).name());
    Shiboken::Conversions::registerConverterName(converter, typeid(AgentInstanceFilterProxyModelWrapper).name());

    Shiboken::ObjectType::setTypeDiscoveryFunctionV2(pyType, &Sbk_Akonadi_AgentInstanceFilterProxyModel_typeDiscovery);

    Shiboken::ObjectType::setSubTypeInitHook(pyType, &PySide::initQObjectSubType);
    PySide::initDynamicMetaObject(pyType, &::Akonadi::AgentInstanceFilterProxyModel::staticMetaObject, sizeof(AgentInstanceFilterProxyModelWrapper));

    return pyType;
}
